This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 566409 - Review Request: python-SocksiPy - A Python SOCKS module
Review Request: python-SocksiPy - A Python SOCKS module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: wapiti
  Show dependency treegraph
 
Reported: 2010-02-18 07:27 EST by Mykola Ulianytskyi
Modified: 2010-04-08 23:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-SocksiPy-1.00-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-10 11:30:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mykola Ulianytskyi 2010-02-18 07:27:08 EST
Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/python-SocksiPy.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/python-SocksiPy-1.00-1.fc12.src.rpm

Description: 
This Python module allows you to create TCP connections through a SOCKS
proxy without any special effort.

$ rpmlint {i386,x86_64,SRPMS}/python-SocksiPy*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

This package builds successfully by mock on i686/x86_64 architectures.

This is one from my first packages and I'm looking for a sponsor.
Comment 1 Mykola Ulianytskyi 2010-02-19 04:42:49 EST
Builds successfully in mock on Fedora 11 with i386/x86_64 architectures.
Comment 2 Mykola Ulianytskyi 2010-02-19 07:53:03 EST
Builds successfully in mock on Fedora 13 with i386/x86_64 architectures.
Comment 3 Mamoru TASAKA 2010-03-04 14:38:15 EST
Well, very simple package.
Some notes:

* Please fix SourceURL
* %python_sitearch macro is used nowhere.
Comment 4 Mykola Ulianytskyi 2010-03-05 04:36:46 EST
Thank you for starting the review.

> Please fix SourceURL
What error is in the SourceURL?

$ spectool -g python-SocksiPy.spec
--2010-03-05 11:15:26--  http://downloads.sourceforge.net/project/socksipy/socksipy/SocksiPy%201.00/SocksiPy.tar.gz
...
HTTP request sent, awaiting response... 302 Found


> %python_sitearch macro is used nowhere.    
Removed.


Spec diff:
@@ -1,11 +1,10 @@
 %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
 %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
-%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 %endif
 
 Name:           python-SocksiPy
 Version:        1.00
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A Python SOCKS module
 
 Group:          Development/Languages
@@ -31,7 +30,9 @@
 
 # Fix file end-of-line encoding
 for f in README BUGS LICENSE; do
-    %{__sed} -i 's/\r//' $f
+    %{__sed} 's/\r//' $f > $f.new
+    touch -r $f $f.new
+    %{__mv} -f $f.new $f
 done
 
 %build
@@ -55,5 +56,9 @@
 
 
 %changelog
+* Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.00-2
+- Remove the unused python_sitearch macro
+- Preserve timestamps on documentation files
+
 * Sun Feb 14 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.00-1
 - Initial package build


$ rpmlint {RPMS/noarch,SRPMS}/python-SocksiPy*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/python-SocksiPy.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/python-SocksiPy-1.00-2.fc12.src.rpm
Comment 5 Mamoru TASAKA 2010-03-05 04:46:57 EST
(In reply to comment #4)
> > Please fix SourceURL
> What error is in the SourceURL?

As I explained in the other review request, please follow
https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
Comment 6 Mykola Ulianytskyi 2010-03-05 05:17:14 EST
> As I explained in the other review request, please follow
> https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net    
Thx

> Please fix SourceURL
Template http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz is not valid for this project.

Spec diff:
 Name:           python-SocksiPy
 Version:        1.00
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A Python SOCKS module
 
 Group:          Development/Languages
 License:        BSD
 URL:            http://socksipy.sourceforge.net/
-Source0:        http://downloads.sourceforge.net/project/socksipy/socksipy/SocksiPy%20%{version}/SocksiPy.tar.gz
+Source0:        http://downloads.sourceforge.net/socksipy/SocksiPy%20%{version}/SocksiPy.tar.gz
 # https://sourceforge.net/tracker/?func=detail&aid=2954091&group_id=180628&atid=893947
 Source1:        python-SocksiPy-setup.py
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -56,6 +56,9 @@
 
 
 %changelog
+* Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.00-3
+- Fixed the Source0 URL


Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/python-SocksiPy.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/python-SocksiPy-1.00-3.fc12.src.rpm
Comment 7 Mamoru TASAKA 2010-03-07 04:23:09 EST
--------------------------------------------------------------
  This package (python-SocksiPy) is APPROVED by mtasaka
--------------------------------------------------------------

As I wrote in the other review request, please follow
http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 8 Mykola Ulianytskyi 2010-03-07 08:19:09 EST
New Package CVS Request
=======================
Package Name: python-SocksiPy
Short Description: A Python SOCKS module
Owners: lystor
Branches: F-11 F-12 F-13
InitialCC:
Comment 9 Kevin Fenzi 2010-03-09 01:15:40 EST
CVS done (by process-cvs-requests.py).
Comment 10 Fedora Update System 2010-03-10 02:46:44 EST
python-SocksiPy-1.00-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-SocksiPy-1.00-3.fc13
Comment 11 Fedora Update System 2010-03-10 02:47:24 EST
python-SocksiPy-1.00-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-SocksiPy-1.00-3.fc12
Comment 12 Fedora Update System 2010-03-10 02:48:38 EST
python-SocksiPy-1.00-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-SocksiPy-1.00-3.fc11
Comment 13 Mamoru TASAKA 2010-03-10 11:30:19 EST
Closing.
Comment 14 Fedora Update System 2010-03-31 21:45:29 EDT
python-SocksiPy-1.00-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-03-31 21:52:18 EDT
python-SocksiPy-1.00-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-04-08 23:52:46 EDT
python-SocksiPy-1.00-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.